lock_may_read
Prev | File Locks | Next

## Name

lock_may_read — checks that the region is free of locks

## Synopsis

`int lock_may_read (` | struct inode * | inode,
| loff_t | start,
| unsigned long | len`)`;

## Arguments

`inode`

  the inode that is being read

`start`

  the first byte to read

`len`

  the number of bytes to read

## Description

Emulates Windows locking requirements. Whole-file mandatory locks (share modes) can prohibit a read and byte-range POSIX locks can prohibit a read if they overlap.

N.B. this function is only ever called from knfsd and ownership of locks is never checked.

Prev | Up | Next
vfs_cancel_lock | Home | lock_may_write